import { Api } from "./src/Api";
import { EventTransport, Polling } from "./src/transports";
import { UpdateHandler } from "./src/UpdateHandler";
import * as Keyboard from "./src/models/keyboard";
import { BotCommandList } from "./src/commands/BotCommandList";
export declare class Tg {
    private readonly token;
    constructor(token: string);
    eventTransport: EventTransport;
    readonly commands: BotCommandList;
    readonly api: Api;
    readonly updates: UpdateHandler;
    createKeyboard: () => Keyboard.KeyboardBuilder;
    createInlineKeyboard: () => Keyboard.InlineKeyboardBuilder;
    startPolling(): Promise<void>;
    uploadCommands(): Promise<void>;
}
export { Api as TgApi, Polling as TgPolling, UpdateHandler as TgUpdateHandler, Keyboard as TgKeyboard, BotCommandList as TgBotCommandList, };
export { Use as TgUse, Event as TgEvent, Update as TgUpdate, Command as TgCommand, CallbackQuery as TgCallbackQuery, } from "./src/decorators/UpdateHandlerDecorators";
export * as TgEntity from "./src/types";
export * as TgModel from "./src/models";
export * as TgContext from "./src/contexts";
export * as TgParam from "./src/types/params";
export * as TgAttachment from "./src/models/attachments";
export { CommandInfo as TgCommandInfo } from "./src/commands/BotCommandDecorators";
