"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TgCommandInfo = exports.TgAttachment = exports.TgParam = exports.TgContext = exports.TgModel = exports.TgEntity = exports.TgCallbackQuery = exports.TgCommand = exports.TgUpdate = exports.TgEvent = exports.TgUse = exports.TgBotCommandList = exports.TgKeyboard = exports.TgUpdateHandler = exports.TgPolling = exports.TgApi = exports.Tg = void 0;
const Api_1 = require("./src/Api");
Object.defineProperty(exports, "TgApi", { enumerable: true, get: function () { return Api_1.Api; } });
const transports_1 = require("./src/transports");
Object.defineProperty(exports, "TgPolling", { enumerable: true, get: function () { return transports_1.Polling; } });
const UpdateHandler_1 = require("./src/UpdateHandler");
Object.defineProperty(exports, "TgUpdateHandler", { enumerable: true, get: function () { return UpdateHandler_1.UpdateHandler; } });
const Keyboard = require("./src/models/keyboard");
exports.TgKeyboard = Keyboard;
const BotCommandList_1 = require("./src/commands/BotCommandList");
Object.defineProperty(exports, "TgBotCommandList", { enumerable: true, get: function () { return BotCommandList_1.BotCommandList; } });
const BotCommandUploader_1 = require("./src/commands/BotCommandUploader");
class Tg {
    constructor(token) {
        this.token = token;
        this.commands = new BotCommandList_1.BotCommandList();
        this.api = new Api_1.Api(this.token);
        this.updates = new UpdateHandler_1.UpdateHandler(this.api);
        this.createKeyboard = () => new Keyboard.KeyboardBuilder();
        this.createInlineKeyboard = () => new Keyboard.InlineKeyboardBuilder();
    }
    startPolling() {
        this.eventTransport = new transports_1.Polling(this.api);
        return this.eventTransport.start(this.updates);
    }
    async uploadCommands() {
        let uploader = new BotCommandUploader_1.BotCommandUploader(this.api);
        return uploader.upload(this.commands);
    }
}
exports.Tg = Tg;
var UpdateHandlerDecorators_1 = require("./src/decorators/UpdateHandlerDecorators");
Object.defineProperty(exports, "TgUse", { enumerable: true, get: function () { return UpdateHandlerDecorators_1.Use; } });
Object.defineProperty(exports, "TgEvent", { enumerable: true, get: function () { return UpdateHandlerDecorators_1.Event; } });
Object.defineProperty(exports, "TgUpdate", { enumerable: true, get: function () { return UpdateHandlerDecorators_1.Update; } });
Object.defineProperty(exports, "TgCommand", { enumerable: true, get: function () { return UpdateHandlerDecorators_1.Command; } });
Object.defineProperty(exports, "TgCallbackQuery", { enumerable: true, get: function () { return UpdateHandlerDecorators_1.CallbackQuery; } });
exports.TgEntity = require("./src/types");
exports.TgModel = require("./src/models");
exports.TgContext = require("./src/contexts");
exports.TgParam = require("./src/types/params");
exports.TgAttachment = require("./src/models/attachments");
var BotCommandDecorators_1 = require("./src/commands/BotCommandDecorators");
Object.defineProperty(exports, "TgCommandInfo", { enumerable: true, get: function () { return BotCommandDecorators_1.CommandInfo; } });
