"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BotCommandUploader = void 0;
class BotCommandUploader {
    constructor(api) {
        this.api = api;
    }
    async upload(list) {
        let commandList = list.get();
        for (let { language, commands: languageCommands } of commandList) {
            for (let { scope, bodies: commands } of languageCommands) {
                if (await this.checkActuality(language, commands, scope)) {
                    continue;
                }
                await this.api.callMethod("setMyCommands", {
                    commands,
                    scope,
                    language_code: language !== null && language !== void 0 ? language : "",
                });
            }
        }
    }
    async checkActuality(lang, commands, scope) {
        let { result } = await this.api.callMethod("getMyCommands", {
            scope,
            language_code: lang !== null && lang !== void 0 ? lang : "",
        });
        return (result.length > 0 &&
            commands.every(cmd => result.some(resCmd => resCmd.command === cmd.command &&
                resCmd.description === cmd.description)));
    }
}
exports.BotCommandUploader = BotCommandUploader;
