import { MessageContext } from "../contexts/MessageContext";
import { IMessage } from "../types";
import { TextMatch, UpdateHandler } from "../UpdateHandler";
declare type UpdateHandlerMethod = keyof InstanceType<typeof UpdateHandler>;
export declare class UpdateHandlerDecoratorMetadata {
    private storage;
    add(method: UpdateHandlerMethod, ...args: any[]): void;
    implement<T>(handler: UpdateHandler, instance: T): void;
}
export declare function Command(pattern: TextMatch): MethodDecorator;
export declare function Use(): MethodDecorator;
export declare function Update(updateKind: string, skipConvertingToContext?: boolean): MethodDecorator;
export declare function Event(event: keyof MessageContext | IMessage): MethodDecorator;
export declare function CallbackQuery(pattern: TextMatch): MethodDecorator;
export {};
