"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const Entity_1 = require("./Entity");
class User extends Entity_1.Entity {
    constructor() {
        super(...arguments);
        this.id = this.get("id");
        this.firstname = this.get("first_name");
        this.lastname = this.get("last_name");
        this.username = this.get("username");
        this.code = this.get("language_code");
    }
    get appeal() {
        let username = this.username;
        if (username)
            username = "@" + username;
        return username !== null && username !== void 0 ? username : this.fullname;
    }
    get isBot() {
        return this.get("is_bot") == true;
    }
    get fullname() {
        let fullname = this.firstname;
        if (this.lastname)
            fullname += ` ${this.lastname}`;
        return fullname;
    }
}
exports.User = User;
