import { IKeyboardInlineButton, IKeyboardButton } from "../../types/IKeyboard";
export declare abstract class BaseButton {
    readonly text: string;
    constructor(text: string);
    abstract toObject(): Record<string, any>;
}
export declare class InlineButton extends BaseButton {
    readonly url: string;
    readonly payload: string;
    readonly switchQuery: string;
    readonly switchCurrentChatQuery: string;
    constructor(params: {
        text: string;
        url?: string;
        payload?: string;
        switchQuery?: string;
        switchCurrentChatQuery?: string;
    });
    toObject(): IKeyboardInlineButton;
}
export declare class Button extends BaseButton {
    private readonly requestType?;
    constructor(text: string, requestType?: "poll_quiz" | "poll_regular" | "location" | "contact");
    toObject(): IKeyboardButton;
}
